#!/bin/bash

#
# script depends on qrencode utility, please install it by running: 
#  sudo apt-get install qrencode
#

cd ../../Modules/

echo processing: `pwd`

ls | while read CATEGORY; do
  if [ -d $CATEGORY ]; then
    echo "processing modules category:" $CATEGORY
    ls $CATEGORY | while read NAME; do	# vypise seznam modulu
      if [ -d $CATEGORY/$NAME ]; then	# zkontroluje jestli vypsane soubory jsou adresare
    	echo -n "  processing module:" $NAME
	if [ -r $CATEGORY/$NAME/PrjInfo.txt ]; then  # existuje alespon popisny soubor?
	    if  [ ! -r $CATEGORY/$NAME/DOC/SRC/img/${NAME}_QRcode.png ]; then
	      mkdir -p $CATEGORY/$NAME/DOC/SRC/img/  # pokud neexistuje adresar na obrazky, bude vytvoren
	      echo creating $CATEGORY/$NAME/DOC/SRC/img/${NAME}_QRcode.png
	      qrencode -s 15 -l L "http://www.mlab.cz/PermaLink/$NAME" -o "$CATEGORY/$NAME/DOC/SRC/img/${NAME}_QRcode.png"
	      svn add --parents $CATEGORY/$NAME/DOC/SRC/img/${NAME}_QRcode.png
	    fi
    	    echo "...done"
	  
	  elif [ -r $CATEGORY/$NAME/DirInfo.txt ]; then  # existuje alespon popisny soubor adresare? 
    	    echo -e "\n\r    processing modules subcategory:" $CATEGORY/$NAME/
            ls $CATEGORY/$NAME/ | while read SUBNAME; do	#
      	    if [ -d $CATEGORY/$NAME/$SUBNAME ]; then	# zkontroluje jestli vypsane soubory jsou adresare
	      if [ -r $CATEGORY/$NAME/$SUBNAME/PrjInfo.txt ]; then  # existuje alespon popisny soubor?
	      if  [ ! -r $CATEGORY/$NAME/$SUBNAME/DOC/SRC/img/${NAME}_QRcode.png ]; then 
	        mkdir -p $CATEGORY/$NAME/$SUBNAME/DOC/SRC/img/  # pokud neexistuje adresar na obrazky, bude vytvoren
	        echo creating $CATEGORY/$NAME/$SUBNAME/DOC/SRC/img/${SUBNAME}_QRcode.png
	        qrencode -s 15 -l L "http://www.mlab.cz/PermaLink/$SUBNAME" -o "$CATEGORY/$NAME/$SUBNAME/DOC/SRC/img/${SUBNAME}_QRcode.png"
	        svn add --parents $CATEGORY/$NAME/$SUBNAME/DOC/SRC/img/${SUBNAME}_QRcode.png
	      fi
	      fi
	    fi
	    done
          else
	  echo -e "\n\r Please repair database sctructure of" $CATEGORY/$NAME/
	fi
      else
        echo "Nothing to done in category" $CATEGORY
      fi
     done
    else
    echo "No document dir"
  fi
done

exit 0 
